Subject: [PATCH RFC v2 16/16] ARM: zynq: Don't call of_clk_init()

From: [email-masked] (Arnd Bergmann)
Date: Thu, 29 Aug 2013 19:20:13 +0200

On Thursday 29 August 2013, Michal Simek wrote:
> Is there any plan to remove all of them?
> I expect that on almost all platforms it is a need to have at least one
> early hook to be able to setup things.

In an ideal world, we wouldn't need any, and on arm64 we don't plan to
introduce callbacks in the first place. We don't put a lot of effort
into eliminating all the ones from existing platforms in the near future,
but but I do hope to have a situation where we don't use any callbacks
for newly introduced 32-bit platforms soon, and remove a lot of the
existing callbacks over time when we have the chance (like now for the
clk init).

	Arnd